Skip to main content
`Ctrl`+`K`

# DMLabelGetNonEmptyStratumValuesIS

Get an `IS` of all values that the `DMlabel` takes

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetNonEmptyStratumValuesIS(DMLabel label, IS *values)

Not Collective

## Input Parameter

- label - the `DMLabel`

## Output Parameter

- values - the value `IS`

## Notes

The `values` should be destroyed when no longer needed.

This is similar to `DMLabelGetValueIS()` but counts only nonempty strata.

## See Also

`DMLabel`, `DM`, `DMLabelGetValueIS()`, `DMLabelGetValueISGlobal()`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages